Paycose Docs
Shipping Rate
GET/shipping_rates

List

List shipping rates.

Filterable: id, application_country_id, type, active, currency, tax_behavior, reference_id, created_at, updated_at. Searchable (q): display_name, reference_id.

Requires: Bearer token, X-Country header.

Request

Example

curl -X GET 'https://api.paycose.com/api/v1/app1/platform/wallet/shipping_rates/?limit=10&page=1&use-cursor=true&starting_after=&ending_before=&sort=created_at:desc&q=&filter[active]=&filter[created_at]=&filter[currency]=&filter[id]=&filter[labels]=&filter[tax_behavior]=&filter[type]=&filter[updated_at]=' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'X-Test-Mode: {{x_test_mode}}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default). Toggle the x_test_mode collection variable to flip every applicable request.

Responses

200200 OK

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "list",
  "data": [
    {
      "id": null,
      "object": "<string>",
      "livemode": false,
      "created_at": null,
      "updated_at": null,
      "display_name": "<string>",
      "type": "<string>",
      "active": false,
      "currency": "<string>",
      "amount": 0,
      "tax_behavior": "<string>",
      "tax_code": "<string>",
      "delivery_estimate": "<datatypes.JSON>",
      "metadata": "<datatypes.JSON>",
      "labels": "<core.Labels>"
    }
  ],
  "page": 1,
  "limit": 10,
  "total_items": 1,
  "total_pages": 1
}

On this page